Bug 13368 - messaging_init_internal() uses sec_initial_uid() before calling sec_init() to set it up.
messaging_init_internal() uses sec_initial_uid() before calling sec_init() to...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-04 16:22 UTC by Jeremy Allison
Modified: 2018-04-12 06:53 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.8.next. (1.81 KB, patch)
2018-04-04 23:58 UTC, Jeremy Allison
asn: review+
Details
git-am fix for 4.7.next. (1.82 KB, patch)
2018-04-04 23:59 UTC, Jeremy Allison
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-04-04 16:22:29 UTC
This causes access to an incorrectly set (but not uninitialized, it's a static so starts are zero - which is why valgrind doesn't catch it) variable when run as non-root.

Problem was introduced in ad8c7171ba86e8a47d78b0c7329bb814e5a8871e (which was reviewed by me, so I feel responsible).

Patch from Lutz Justen <ljusten@google.com> to follow.

Jeremy.
Comment 1 Jeremy Allison 2018-04-04 23:58:58 UTC
Created attachment 14103 [details]
git-am fix for 4.8.next.

Cherry-picked from master.
Comment 2 Jeremy Allison 2018-04-04 23:59:48 UTC
Created attachment 14104 [details]
git-am fix for 4.7.next.

Back-ported from master.
Comment 3 Andreas Schneider 2018-04-05 06:58:27 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2018-04-10 07:37:16 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-04-12 06:53:31 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!